<?php
/*
    Ajax Domain - Use Ajax to search for domains.
    Copyright (C) 2010-2012 WHMCS Addon

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
**************************************************************************
*                                                                        *
* Version 1.3 Added cross domain support by default                      *
* Version 1.1 Added support for multi-tld lookup                         *
*                                                                        *
**************************************************************************
*/
@error_reporting(0);
@ini_set("register_globals","off");

$owndir = "order/";
$tempsdir = $owndir."templates/";
define("ROOTDIR",dirname(__FILE__)."/../");
define("CLIENTAREA",true);

require(ROOTDIR."dbconnect.php");
require(ROOTDIR."includes/functions.php");
require(ROOTDIR."includes/clientfunctions.php");
require(ROOTDIR."includes/clientareafunctions.php");
require(ROOTDIR."includes/domainfunctions.php");
require(ROOTDIR."includes/whoisfunctions.php");

$pagetitle =  $_LANG['orderformtitle'];
$breadcrumbnav = "<a href=\"index.php\">".$_LANG['globalsystemname']."</a> > <a href=\"".$_SERVER['PHP_SELF']."\">".$pagetitle."</a>";

initialiseClientArea($pagetitle,'',$breadcrumbnav);

$a = $_REQUEST['a'];
$domainoption = $_REQUEST['domainoption'];
$domain = $_REQUEST['domain'];
$regperiod = $_REQUEST['regperiod'];

# Get currency formatting for active client or selected currency for new signups
$currency = getCurrency($_SESSION["uid"],$_SESSION["currency"]);

$unique = $_REQUEST['unique'];
$sid = $_REQUEST['sid'];
$editingMode = $_REQUEST['editingMode'];
		
if ($a) {
	if ($a=="ajaxRegister") {
        $domainparts = explode(".",$domain,2);
        $sld = $domainparts[0];
        $tld = $domainparts[1];
        if ($tld) $tld = ".$tld";
        $templatevars = array();
		
        if (checkDomainisValid($sld,$tld)) {
			$regenabled = $CONFIG['AllowRegister'];
            $transferenabled = $CONFIG['AllowTransfer'];
            $owndomainenabled = $CONFIG['AllowOwnDomain'];
            $whoislookup = lookupDomain($sld,$tld);
            $domainstatus = $whoislookup['result'];
            $templatevars['status'] = $domainstatus;
            $regoptions = getTLDPriceList($tld,true);
            $templatevars['regoptionscount'] = count($regoptions);
            $templatevars['regoptions'] = $regoptions;
			$transferoptions = getTLDPriceList($tld,true,"transfer");
            $templatevars['transferoptionscount'] = count($transferoptions);
            $templatevars['transferoptions'] = $regoptions;
            $templatevars['regenabled'] = $regenabled;
            $templatevars['transferenabled'] = $transferenabled;
            $templatevars['owndomainenabled'] = $owndomainenabled;
        }
		
		echo "ajaxdomainJSONP(".json_encode($templatevars).")";
		exit;
    }
	
	if ($a=="ajaxRegisterAll") {
		$allTLD = array();
		$result = mysql_query("SELECT `extension` FROM `tbldomainpricing`");
		while($row = mysql_fetch_array($result)) {
			$allTLD[] = $row["extension"];
		}
		
        $domainparts = explode(".",$domain,2);
        $sld = $domainparts[0];
        $templatevars = array();
		$templatevars['seltld'] = ".".$domainparts[1];
		
		foreach ($allTLD as $k => $a) {
			if (checkDomainisValid($sld,$a)) {
				$regenabled = $CONFIG['AllowRegister'];
				$transferenabled = $CONFIG['AllowTransfer'];
				$owndomainenabled = $CONFIG['AllowOwnDomain'];
				$whoislookup = lookupDomain($sld,$a);
				$domainstatus = $whoislookup['result'];
				
				$templatevars['sld'][$k] = $sld;
				$templatevars['tld'][$k] = $a;
				
				$templatevars['status'][$k] = $domainstatus;
				$regoptions = getTLDPriceList($a,true);
				$templatevars['regoptionscount'][$k] = count($regoptions);
				$templatevars['regoptions'][$k] = $regoptions;
				$transferoptions = getTLDPriceList($a,true,"transfer");
				$templatevars['transferoptionscount'][$k] = count($transferoptions);
				$templatevars['transferoptions'][$k] = $regoptions;
				$templatevars['regenabled'][$k] = $regenabled;
				$templatevars['transferenabled'][$k] = $transferenabled;
				$templatevars['owndomainenabled'][$k] = $owndomainenabled;
			}
		}
		
		echo "ajaxdomainJSONP(".json_encode(processSingleTemplate($tempsdir."ajaxdomain.tpl",$templatevars)).")";
		exit;
    }
}
?>